Bug 520891

Summary: Missing symbols from kABI whitelist
Product: Red Hat Enterprise Linux 5 Reporter: Ned Slider <ned>
Component: kernelAssignee: Jon Masters <jcm>
Status: CLOSED WONTFIX QA Contact: Red Hat Kernel QE team <kernel-qe>
Severity: low Docs Contact:
Priority: low    
Version: 5.4CC: ajb, amyagi, dag, jcm, ned, stephan.wiesand, tis
Target Milestone: rcKeywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-08-24 00:29:14 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Ned Slider 2009-09-02 15:24:58 EDT
Description of problem:
Elrepo.org provides a number of updated driver modules built as kABI-tracking kmod packages as per the Red Hat Driver Update programme. A number of modules require symbols that are missing from the kABI whitelist.

We work around this problem by building packages without the requires, but report the missing symbols here so that they may be added to a future release if applicable.

Version-Release number of selected component (if applicable):
kernel-2.6.18-164.el5

How reproducible:
Always

Steps to Reproduce:
1. Build kmod package
2. Attempt to install kmod package
3.
  
Actual results:
Installation fails with missing symbol(s)

Expected results:
Package installs as expected

Additional info:

The issue and more information is reported here:

http://elrepo.org/bugs/view.php?id=30

A full list of missing symbols and the affected packages:

$ rpm -ivh --test *.rpm
error: Failed dependencies:
        ksym(sound_class) = 5e2da90b is needed by kmod-alsa-1.0.20-1.el5.elrepo.x86_64
        ksym(register_sound_special_device) = 847afbb7 is needed by kmod-alsa-1.0.20-1.el5.elrepo.x86_64
        ksym(ktime_get_ts) = 85e5a3db is needed by kmod-alsa-1.0.20-1.el5.elrepo.x86_64
        ksym(unregister_sound_special) = 99c95fa5 is needed by kmod-alsa-1.0.20-1.el5.elrepo.x86_64
        ksym(led_classdev_unregister) = 329ebb9 is needed by kmod-ath5k-0.5.1-2.el5.elrepo.x86_64
        ksym(led_classdev_register) = 5e14863e is needed by kmod-ath5k-0.5.1-2.el5.elrepo.x86_64
        ksym(ieee80211_frequency_to_channel) = 9c64fbd is needed by kmod-ath5k-0.5.1-2.el5.elrepo.x86_64
        ksym(snd_pcm_lib_free_pages) = 17faef93 is needed by kmod-ctxfi-1.00-2.el5.elrepo.x86_64
        ksym(snd_pcm_hw_constraint_minmax) = 8b72300c is needed by kmod-ctxfi-1.00-2.el5.elrepo.x86_64
        ksym(snd_pcm_new) = 8dacea80 is needed by kmod-ctxfi-1.00-2.el5.elrepo.x86_64
        ksym(snd_pcm_lib_ioctl) = 9162dd67 is needed by kmod-ctxfi-1.00-2.el5.elrepo.x86_64
        ksym(snd_ctl_notify) = 945e62dd is needed by kmod-ctxfi-1.00-2.el5.elrepo.x86_64
        ksym(snd_pcm_period_elapsed) = a500e5a9 is needed by kmod-ctxfi-1.00-2.el5.elrepo.x86_64
        ksym(snd_pcm_lib_malloc_pages) = aba57285 is needed by kmod-ctxfi-1.00-2.el5.elrepo.x86_64
        ksym(snd_ctl_new1) = b3b23379 is needed by kmod-ctxfi-1.00-2.el5.elrepo.x86_64
        ksym(snd_pcm_set_ops) = b8a4c80e is needed by kmod-ctxfi-1.00-2.el5.elrepo.x86_64
        ksym(snd_pcm_lib_preallocate_pages_for_all) = c2c3eca is needed by kmod-ctxfi-1.00-2.el5.elrepo.x86_64
        ksym(snd_card_register) = ce68e135 is needed by kmod-ctxfi-1.00-2.el5.elrepo.x86_64
        ksym(snd_card_free) = d1194fb2 is needed by kmod-ctxfi-1.00-2.el5.elrepo.x86_64
        ksym(snd_pcm_hw_constraint_integer) = ec202530 is needed by kmod-ctxfi-1.00-2.el5.elrepo.x86_64
        ksym(snd_device_new) = f3eda68b is needed by kmod-ctxfi-1.00-2.el5.elrepo.x86_64
        ksym(snd_ctl_add) = f576d654 is needed by kmod-ctxfi-1.00-2.el5.elrepo.x86_64
        ksym(snd_card_new) = fec00843 is needed by kmod-ctxfi-1.00-2.el5.elrepo.x86_64
        ksym(platform_device_add_data) = b6ee2749 is needed by kmod-it87-1.1-2.el5.elrepo.x86_64
        ksym(nobh_truncate_page) = 3345541f is needed by kmod-jfs-1.00-2.el5.elrepo.x86_64
        ksym(wiphy_free) = 1968e274 is needed by kmod-mac80211-0.155-1.el5.elrepo.x86_64
        ksym(dev_mc_sync) = 2a5bac11 is needed by kmod-mac80211-0.155-1.el5.elrepo.x86_64
        ksym(ieee80211_radiotap_iterator_init) = 7e7ac5a is needed by kmod-mac80211-0.155-1.el5.elrepo.x86_64
        ksym(wiphy_unregister) = 86cc694c is needed by kmod-mac80211-0.155-1.el5.elrepo.x86_64
        ksym(wiphy_new) = 8a9ba8b0 is needed by kmod-mac80211-0.155-1.el5.elrepo.x86_64
        ksym(dev_mc_unsync) = 8da842ae is needed by kmod-mac80211-0.155-1.el5.elrepo.x86_64
        ksym(ieee80211_frequency_to_channel) = 9c64fbd is needed by kmod-mac80211-0.155-1.el5.elrepo.x86_64
        ksym(wiphy_register) = 9f6961e7 is needed by kmod-mac80211-0.155-1.el5.elrepo.x86_64
        ksym(__ieee80211_get_channel) = acfb9d16 is needed by kmod-mac80211-0.155-1.el5.elrepo.x86_64
        ksym(ieee80211_radiotap_iterator_next) = c4e85ec5 is needed by kmod-mac80211-0.155-1.el5.elrepo.x86_64
        ksym(ieee80211_channel_to_frequency) = ccc291b3 is needed by kmod-mac80211-0.155-1.el5.elrepo.x86_64
        ksym(print_mac) = e9699130 is needed by kmod-mac80211-0.155-1.el5.elrepo.x86_64
        ksym(add_taint) = dc2adb35 is needed by kmod-ndiswrapper-1.54-2.el5.elrepo.x86_64
        ksym(ilookup5_nowait) = 421f189 is needed by kmod-ntfs-2.1.27-2.el5.elrepo.x86_64
        ksym(generic_osync_inode) = 7e9a00da is needed by kmod-ntfs-2.1.27-2.el5.elrepo.x86_64
        ksym(page_cache_alloc) = a2414a9c is needed by kmod-ntfs-2.1.27-2.el5.elrepo.x86_64
        ksym(alloc_page_buffers) = e4ec9e2c is needed by kmod-ntfs-2.1.27-2.el5.elrepo.x86_64
        ksym(sync_page_range) = f15905e0 is needed by kmod-ntfs-2.1.27-2.el5.elrepo.x86_64
        ksym(acpi_walk_namespace) = 19d5d20a is needed by kmod-nvidia-185.18.31-2.el5.elrepo.x86_64
        ksym(acpi_evaluate_object) = 1d146440 is needed by kmod-nvidia-185.18.31-2.el5.elrepo.x86_64
        ksym(acpi_remove_notify_handler) = 2bb55d6e is needed by kmod-nvidia-185.18.31-2.el5.elrepo.x86_64
        ksym(acpi_get_handle) = 2bfeb410 is needed by kmod-nvidia-185.18.31-2.el5.elrepo.x86_64
        ksym(agp_bridges) = 673f815e is needed by kmod-nvidia-185.18.31-2.el5.elrepo.x86_64
        ksym(acpi_bus_register_driver) = 71eca78 is needed by kmod-nvidia-185.18.31-2.el5.elrepo.x86_64
        ksym(acpi_bus_unregister_driver) = 93346a1d is needed by kmod-nvidia-185.18.31-2.el5.elrepo.x86_64
        ksym(acpi_evaluate_integer) = c598bf3e is needed by kmod-nvidia-185.18.31-2.el5.elrepo.x86_64
        ksym(acpi_os_wait_events_complete) = c9ab2eef is needed by kmod-nvidia-185.18.31-2.el5.elrepo.x86_64
        ksym(acpi_install_notify_handler) = d9091363 is needed by kmod-nvidia-185.18.31-2.el5.elrepo.x86_64
        ksym(acpi_bus_get_device) = d9f16f6b is needed by kmod-nvidia-185.18.31-2.el5.elrepo.x86_64
        ksym(truncate_inode_pages_range) = 43b33e5 is needed by kmod-ocfs2-1.4.2-2.el5.elrepo.x86_64
        ksym(generic_osync_inode) = 7e9a00da is needed by kmod-ocfs2-1.4.2-2.el5.elrepo.x86_64
        ksym(hweight16) = e8cd902e is needed by kmod-ocfs2-1.4.2-2.el5.elrepo.x86_64
        ksym(__wake_up_sync) = f4488540 is needed by kmod-ocfs2-1.4.2-2.el5.elrepo.x86_64
        ksym(pcim_iomap_table) = 1045ae0 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_host_detach) = 124c6657 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_sff_data_xfer) = 16d32045 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_dev_pair) = 199d72da is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_scsi_queuecmd) = 214da564 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_timing_compute) = 21c61e76 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_acpi_cbl_80wire) = 261320b8 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_pci_device_resume) = 261a1ab9 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_sff_interrupt) = 2d0ae99d is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_bmdma_port_ops) = 30101b2b is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_cable_80wire) = 3d847bb6 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_host_resume) = 3d9cc0be is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_pci_bmdma_clear_simplex) = 3eb75744 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_cable_unknown) = 3ff4ab3a is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_xfer_mode2mask) = 40af0dec is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_pci_remove_one) = 430ddd1e is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_xfer_mode2shift) = 43f56e82 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_host_alloc_pinfo) = 46b30d4d is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_sff_prereset) = 49650274 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(devm_ioport_map) = 60d5e250 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(pci_try_set_mwi) = 62df284f is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_sff_data_xfer_noirq) = 63763790 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_sff_port_ops) = 674126cf is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_scsi_slave_config) = 69e9a2cb is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(devm_request_irq) = 6a3e92a2 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_host_activate) = 6fd408e9 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_xfer_mask2mode) = 707ff1bb is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_acpi_gtm_xfermask) = 7252c441 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_sff_std_ports) = 73a48b4a is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_pack_xfermask) = 743a165e is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_dummy_port_info) = 760c6958 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(devm_kzalloc) = 7a224df6 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_cable_40wire) = 7b5ca77a is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_pci_sff_init_one) = 7bcd782d is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_port_pbar_desc) = 7d90d090 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_pci_sff_activate_host) = 801a4ff3 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_host_register) = 85aa40ed is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_cable_ignore) = 890c4481 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_do_set_mode) = 8c0442af is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(pcim_pin_device) = 8d412d95 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_scsi_slave_destroy) = 94a68723 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_scsi_ioctl) = 94dc62d2 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_sff_dumb_qc_prep) = 981e44df is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_bmdma_stop) = 9c4978bc is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(pcim_iomap) = 9d2561e3 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(iowrite8_rep) = a4b94fea is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_acpi_gtm) = a5c08f05 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_pci_sff_prepare_host) = a915f3c7 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_std_qc_defer) = abd3c13 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_port_desc) = ae893bd3 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_pci_device_suspend) = afcf777 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_bmdma_mode_filter) = b13afd50 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_host_alloc) = b37728a0 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_id_c_string) = b6aeb661 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(pcim_iomap_regions) = b858deda is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_dummy_port_ops) = b8fc608b is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_pci_device_do_resume) = bcb8ce5 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_mode_string) = c48b7ccf is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_std_bios_param) = c6364846 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_bmdma_start) = ca8cf3c2 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(pci_get_bus_and_slot) = ccf5fb18 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_sff_dev_select) = d6581361 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_timing_find_mode) = d84cd7f4 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(pcim_enable_device) = e0b6aa6c is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_acpi_stm) = e1af907b is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_host_suspend) = e3f85a16 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_dev_disable) = e51f1a3a is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(atapi_cmd_type) = ea418e0f is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_sff_qc_issue) = ec7cf28c is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_sff_port_start) = f1e9eaf8 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_timing_merge) = f3d5cc13 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ioread8_rep) = f441ac43 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_pio_need_iordy) = f89cd5f is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_id_xfermask) = f9ca3160 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(ata_host_start) = fb69f946 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
        ksym(acpi_processor_preregister_performance) = 14cc51e7 is needed by kmod-powernow-k8-0.0-2.el5.elrepo.x86_64
        ksym(cpufreq_register_driver) = 19abc46b is needed by kmod-powernow-k8-0.0-2.el5.elrepo.x86_64
        ksym(cpu_core_map) = 20dbe69 is needed by kmod-powernow-k8-0.0-2.el5.elrepo.x86_64
        ksym(acpi_processor_unregister_performance) = 34422883 is needed by kmod-powernow-k8-0.0-2.el5.elrepo.x86_64
        ksym(cpufreq_debug_printk) = 56edceeb is needed by kmod-powernow-k8-0.0-2.el5.elrepo.x86_64
        ksym(cpufreq_frequency_table_verify) = 62d2e201 is needed by kmod-powernow-k8-0.0-2.el5.elrepo.x86_64
        ksym(cpufreq_frequency_table_cpuinfo) = 6ff8013a is needed by kmod-powernow-k8-0.0-2.el5.elrepo.x86_64
        ksym(cpufreq_frequency_table_get_attr) = 706b3a33 is needed by kmod-powernow-k8-0.0-2.el5.elrepo.x86_64
        ksym(cpufreq_frequency_table_put_attr) = 7ae1ae8e is needed by kmod-powernow-k8-0.0-2.el5.elrepo.x86_64
        ksym(cpufreq_unregister_driver) = 8a48740f is needed by kmod-powernow-k8-0.0-2.el5.elrepo.x86_64
        ksym(cpufreq_frequency_table_target) = a7fb4169 is needed by kmod-powernow-k8-0.0-2.el5.elrepo.x86_64
        ksym(acpi_processor_register_performance) = b21fdf3b is needed by kmod-powernow-k8-0.0-2.el5.elrepo.x86_64
        ksym(acpi_processor_notify_smm) = d308c1a is needed by kmod-powernow-k8-0.0-2.el5.elrepo.x86_64
        ksym(cpufreq_gov_userspace) = da165e85 is needed by kmod-powernow-k8-0.0-2.el5.elrepo.x86_64
        ksym(cpufreq_notify_transition) = e6488b47 is needed by kmod-powernow-k8-0.0-2.el5.elrepo.x86_64
        ksym(cpufreq_freq_attr_scaling_available_freqs) = fb433a81 is needed by kmod-powernow-k8-0.0-2.el5.elrepo.x86_64
        ksym(generic_cont_expand) = 10450a92 is needed by kmod-reiserfs-1.00-2.el5.elrepo.x86_64
        ksym(inode_get_bytes) = 43fb1564 is needed by kmod-reiserfs-1.00-2.el5.elrepo.x86_64
        ksym(generic_osync_inode) = 7e9a00da is needed by kmod-reiserfs-1.00-2.el5.elrepo.x86_64
        ksym(generate_random_uuid) = a681fe88 is needed by kmod-reiserfs-1.00-2.el5.elrepo.x86_64
        ksym(strpbrk) = 9a1dfd65 is needed by kmod-rt2860sta-2.1.2.0-1.el5.elrepo.x86_64
        ksym(strpbrk) = 9a1dfd65 is needed by kmod-rt2870sta-2.2.0.0-1.el5.elrepo.x86_64
        ksym(pcie_set_readrq) = 231bad94 is needed by kmod-tg3-3.96_1-1.el5.elrepo.x86_64
        ksym(snd_pcm_lib_free_pages) = 17faef93 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
        ksym(snd_pcm_sgbuf_ops_page) = 3775c8e1 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
        ksym(snd_ctl_boolean_mono_info) = 3987803d is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
        ksym(proc_create) = 5607c912 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
        ksym(vmalloc_user) = 5635a60a is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
        ksym(poll_freewait) = 82ec4daa is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
        ksym(parport_wait_peripheral) = 84f2aff1 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
        ksym(snd_pcm_stop) = 891fdefc is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
        ksym(snd_pcm_new) = 8dacea80 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
        ksym(snd_pcm_lib_ioctl) = 9162dd67 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
        ksym(snd_pcm_hw_constraint_pow2) = 957f5cbc is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
        ksym(strpbrk) = 9a1dfd65 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
        ksym(snd_pcm_period_elapsed) = a500e5a9 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
        ksym(snd_pcm_lib_malloc_pages) = aba57285 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
        ksym(snd_pcm_hw_constraint_step) = ad696de1 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
        ksym(snd_ctl_new1) = b3b23379 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
        ksym(int_sqrt) = b678366f is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
        ksym(snd_pcm_set_ops) = b8a4c80e is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
        ksym(snd_pcm_lib_preallocate_pages_for_all) = c2c3eca is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
        ksym(snd_card_register) = ce68e135 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
        ksym(snd_card_free) = d1194fb2 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
        ksym(registered_fb) = d7e40eff is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
        ksym(poll_initwait) = d8dcb79c is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
        ksym(snd_pcm_hw_constraint_integer) = ec202530 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
        ksym(snd_device_new) = f3eda68b is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
        ksym(__wake_up_sync) = f4488540 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
        ksym(snd_ctl_add) = f576d654 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
        ksym(remap_vmalloc_range) = f9c2c057 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
        ksym(snd_card_new) = fec00843 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
        ksym(snd_pcm_hw_constraint_ratnums) = ffc7d3f5 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
        ksym(platform_device_add_data) = b6ee2749 is needed by kmod-w83627ehf-0.0-2.el5.elrepo.x86_64
        ksym(platform_device_add_data) = b6ee2749 is needed by kmod-w83627hf-0.0-1.el5.elrepo.x86_64
Comment 1 Ned Slider 2009-09-02 15:25:47 EDT
Sorted by symbol:

ksym(acpi_bus_get_device) = d9f16f6b is needed by kmod-nvidia-185.18.31-2.el5.elrepo.x86_64
ksym(acpi_bus_register_driver) = 71eca78 is needed by kmod-nvidia-185.18.31-2.el5.elrepo.x86_64
ksym(acpi_bus_unregister_driver) = 93346a1d is needed by kmod-nvidia-185.18.31-2.el5.elrepo.x86_64
ksym(acpi_evaluate_object) = 1d146440 is needed by kmod-nvidia-185.18.31-2.el5.elrepo.x86_64
ksym(acpi_evaluate_integer) = c598bf3e is needed by kmod-nvidia-185.18.31-2.el5.elrepo.x86_64
ksym(acpi_get_handle) = 2bfeb410 is needed by kmod-nvidia-185.18.31-2.el5.elrepo.x86_64
ksym(acpi_install_notify_handler) = d9091363 is needed by kmod-nvidia-185.18.31-2.el5.elrepo.x86_64
ksym(acpi_os_wait_events_complete) = c9ab2eef is needed by kmod-nvidia-185.18.31-2.el5.elrepo.x86_64
ksym(acpi_remove_notify_handler) = 2bb55d6e is needed by kmod-nvidia-185.18.31-2.el5.elrepo.x86_64
ksym(acpi_walk_namespace) = 19d5d20a is needed by kmod-nvidia-185.18.31-2.el5.elrepo.x86_64
ksym(add_taint) = dc2adb35 is needed by kmod-ndiswrapper-1.54-2.el5.elrepo.x86_64
ksym(agp_bridges) = 673f815e is needed by kmod-nvidia-185.18.31-2.el5.elrepo.x86_64
ksym(alloc_page_buffers) = e4ec9e2c is needed by kmod-ntfs-2.1.27-2.el5.elrepo.x86_64
ksym(ata_host_detach) = 124c6657 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_sff_data_xfer) = 16d32045 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_dev_pair) = 199d72da is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_scsi_queuecmd) = 214da564 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_timing_compute) = 21c61e76 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_acpi_cbl_80wire) = 261320b8 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_pci_device_resume) = 261a1ab9 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_sff_interrupt) = 2d0ae99d is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_bmdma_port_ops) = 30101b2b is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_cable_80wire) = 3d847bb6 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_host_resume) = 3d9cc0be is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_pci_bmdma_clear_simplex) = 3eb75744 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_cable_unknown) = 3ff4ab3a is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_xfer_mode2mask) = 40af0dec is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_pci_remove_one) = 430ddd1e is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_xfer_mode2shift) = 43f56e82 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_host_alloc_pinfo) = 46b30d4d is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_sff_prereset) = 49650274 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_sff_data_xfer_noirq) = 63763790 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_sff_port_ops) = 674126cf is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_scsi_slave_config) = 69e9a2cb is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_host_activate) = 6fd408e9 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_xfer_mask2mode) = 707ff1bb is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_acpi_gtm_xfermask) = 7252c441 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_sff_std_ports) = 73a48b4a is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_pack_xfermask) = 743a165e is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_dummy_port_info) = 760c6958 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_cable_40wire) = 7b5ca77a is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_pci_sff_init_one) = 7bcd782d is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_port_pbar_desc) = 7d90d090 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_pci_sff_activate_host) = 801a4ff3 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_host_register) = 85aa40ed is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_cable_ignore) = 890c4481 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_do_set_mode) = 8c0442af is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_scsi_slave_destroy) = 94a68723 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_scsi_ioctl) = 94dc62d2 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_sff_dumb_qc_prep) = 981e44df is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_bmdma_stop) = 9c4978bc is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_acpi_gtm) = a5c08f05 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_pci_sff_prepare_host) = a915f3c7 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_std_qc_defer) = abd3c13 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_port_desc) = ae893bd3 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_pci_device_suspend) = afcf777 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_bmdma_mode_filter) = b13afd50 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_host_alloc) = b37728a0 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_id_c_string) = b6aeb661 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_dummy_port_ops) = b8fc608b is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_pci_device_do_resume) = bcb8ce5 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_mode_string) = c48b7ccf is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_std_bios_param) = c6364846 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_bmdma_start) = ca8cf3c2 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_sff_dev_select) = d6581361 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_timing_find_mode) = d84cd7f4 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_acpi_stm) = e1af907b is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_host_suspend) = e3f85a16 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_dev_disable) = e51f1a3a is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_sff_qc_issue) = ec7cf28c is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_sff_port_start) = f1e9eaf8 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_timing_merge) = f3d5cc13 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_pio_need_iordy) = f89cd5f is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_id_xfermask) = f9ca3160 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ata_host_start) = fb69f946 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(atapi_cmd_type) = ea418e0f is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(acpi_processor_notify_smm) = d308c1a is needed by kmod-powernow-k8-0.0-2.el5.elrepo.x86_64
ksym(acpi_processor_preregister_performance) = 14cc51e7 is needed by kmod-powernow-k8-0.0-2.el5.elrepo.x86_64
ksym(acpi_processor_register_performance) = b21fdf3b is needed by kmod-powernow-k8-0.0-2.el5.elrepo.x86_64
ksym(acpi_processor_unregister_performance) = 34422883 is needed by kmod-powernow-k8-0.0-2.el5.elrepo.x86_64
ksym(cpu_core_map) = 20dbe69 is needed by kmod-powernow-k8-0.0-2.el5.elrepo.x86_64
ksym(cpufreq_register_driver) = 19abc46b is needed by kmod-powernow-k8-0.0-2.el5.elrepo.x86_64
ksym(cpufreq_debug_printk) = 56edceeb is needed by kmod-powernow-k8-0.0-2.el5.elrepo.x86_64
ksym(cpufreq_frequency_table_verify) = 62d2e201 is needed by kmod-powernow-k8-0.0-2.el5.elrepo.x86_64
ksym(cpufreq_frequency_table_cpuinfo) = 6ff8013a is needed by kmod-powernow-k8-0.0-2.el5.elrepo.x86_64
ksym(cpufreq_frequency_table_get_attr) = 706b3a33 is needed by kmod-powernow-k8-0.0-2.el5.elrepo.x86_64
ksym(cpufreq_frequency_table_put_attr) = 7ae1ae8e is needed by kmod-powernow-k8-0.0-2.el5.elrepo.x86_64
ksym(cpufreq_unregister_driver) = 8a48740f is needed by kmod-powernow-k8-0.0-2.el5.elrepo.x86_64
ksym(cpufreq_frequency_table_target) = a7fb4169 is needed by kmod-powernow-k8-0.0-2.el5.elrepo.x86_64
ksym(cpufreq_gov_userspace) = da165e85 is needed by kmod-powernow-k8-0.0-2.el5.elrepo.x86_64
ksym(cpufreq_notify_transition) = e6488b47 is needed by kmod-powernow-k8-0.0-2.el5.elrepo.x86_64
ksym(cpufreq_freq_attr_scaling_available_freqs) = fb433a81 is needed by kmod-powernow-k8-0.0-2.el5.elrepo.x86_64
ksym(dev_mc_sync) = 2a5bac11 is needed by kmod-mac80211-0.155-1.el5.elrepo.x86_64
ksym(dev_mc_unsync) = 8da842ae is needed by kmod-mac80211-0.155-1.el5.elrepo.x86_64
ksym(devm_ioport_map) = 60d5e250 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(devm_kzalloc) = 7a224df6 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(devm_request_irq) = 6a3e92a2 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(generate_random_uuid) = a681fe88 is needed by kmod-reiserfs-1.00-2.el5.elrepo.x86_64
ksym(generic_cont_expand) = 10450a92 is needed by kmod-reiserfs-1.00-2.el5.elrepo.x86_64
ksym(generic_osync_inode) = 7e9a00da is needed by kmod-ntfs-2.1.27-2.el5.elrepo.x86_64
ksym(generic_osync_inode) = 7e9a00da is needed by kmod-ocfs2-1.4.2-2.el5.elrepo.x86_64
ksym(generic_osync_inode) = 7e9a00da is needed by kmod-reiserfs-1.00-2.el5.elrepo.x86_64
ksym(hweight16) = e8cd902e is needed by kmod-ocfs2-1.4.2-2.el5.elrepo.x86_64
ksym(__ieee80211_get_channel) = acfb9d16 is needed by kmod-mac80211-0.155-1.el5.elrepo.x86_64
ksym(ieee80211_channel_to_frequency) = ccc291b3 is needed by kmod-mac80211-0.155-1.el5.elrepo.x86_64
ksym(ieee80211_frequency_to_channel) = 9c64fbd is needed by kmod-ath5k-0.5.1-2.el5.elrepo.x86_64
ksym(ieee80211_frequency_to_channel) = 9c64fbd is needed by kmod-mac80211-0.155-1.el5.elrepo.x86_64
ksym(ieee80211_radiotap_iterator_init) = 7e7ac5a is needed by kmod-mac80211-0.155-1.el5.elrepo.x86_64
ksym(ieee80211_radiotap_iterator_next) = c4e85ec5 is needed by kmod-mac80211-0.155-1.el5.elrepo.x86_64
ksym(ilookup5_nowait) = 421f189 is needed by kmod-ntfs-2.1.27-2.el5.elrepo.x86_64
ksym(int_sqrt) = b678366f is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
ksym(inode_get_bytes) = 43fb1564 is needed by kmod-reiserfs-1.00-2.el5.elrepo.x86_64
ksym(ioread8_rep) = f441ac43 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(iowrite8_rep) = a4b94fea is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(ktime_get_ts) = 85e5a3db is needed by kmod-alsa-1.0.20-1.el5.elrepo.x86_64
ksym(led_classdev_register) = 5e14863e is needed by kmod-ath5k-0.5.1-2.el5.elrepo.x86_64
ksym(led_classdev_unregister) = 329ebb9 is needed by kmod-ath5k-0.5.1-2.el5.elrepo.x86_64
ksym(nobh_truncate_page) = 3345541f is needed by kmod-jfs-1.00-2.el5.elrepo.x86_64
ksym(page_cache_alloc) = a2414a9c is needed by kmod-ntfs-2.1.27-2.el5.elrepo.x86_64
ksym(parport_wait_peripheral) = 84f2aff1 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
ksym(pci_get_bus_and_slot) = ccf5fb18 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(pci_try_set_mwi) = 62df284f is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(pcie_set_readrq) = 231bad94 is needed by kmod-tg3-3.96_1-1.el5.elrepo.x86_64
ksym(pcim_enable_device) = e0b6aa6c is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(pcim_iomap) = 9d2561e3 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(pcim_iomap_regions) = b858deda is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(pcim_iomap_table) = 1045ae0 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(pcim_pin_device) = 8d412d95 is needed by kmod-pata-0.0-2.el5.elrepo.x86_64
ksym(platform_device_add_data) = b6ee2749 is needed by kmod-it87-1.1-2.el5.elrepo.x86_64
ksym(platform_device_add_data) = b6ee2749 is needed by kmod-w83627ehf-0.0-2.el5.elrepo.x86_64
ksym(platform_device_add_data) = b6ee2749 is needed by kmod-w83627hf-0.0-1.el5.elrepo.x86_64
ksym(poll_freewait) = 82ec4daa is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
ksym(poll_initwait) = d8dcb79c is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
ksym(print_mac) = e9699130 is needed by kmod-mac80211-0.155-1.el5.elrepo.x86_64
ksym(proc_create) = 5607c912 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
ksym(register_sound_special_device) = 847afbb7 is needed by kmod-alsa-1.0.20-1.el5.elrepo.x86_64
ksym(registered_fb) = d7e40eff is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
ksym(remap_vmalloc_range) = f9c2c057 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
ksym(snd_card_free) = d1194fb2 is needed by kmod-ctxfi-1.00-2.el5.elrepo.x86_64
ksym(snd_card_free) = d1194fb2 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
ksym(snd_card_new) = fec00843 is needed by kmod-ctxfi-1.00-2.el5.elrepo.x86_64
ksym(snd_card_new) = fec00843 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
ksym(snd_card_register) = ce68e135 is needed by kmod-ctxfi-1.00-2.el5.elrepo.x86_64
ksym(snd_card_register) = ce68e135 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
ksym(snd_ctl_add) = f576d654 is needed by kmod-ctxfi-1.00-2.el5.elrepo.x86_64
ksym(snd_ctl_add) = f576d654 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
ksym(snd_ctl_boolean_mono_info) = 3987803d is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
ksym(snd_ctl_new1) = b3b23379 is needed by kmod-ctxfi-1.00-2.el5.elrepo.x86_64
ksym(snd_ctl_new1) = b3b23379 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
ksym(snd_ctl_notify) = 945e62dd is needed by kmod-ctxfi-1.00-2.el5.elrepo.x86_64
ksym(snd_device_new) = f3eda68b is needed by kmod-ctxfi-1.00-2.el5.elrepo.x86_64
ksym(snd_device_new) = f3eda68b is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
ksym(snd_pcm_hw_constraint_minmax) = 8b72300c is needed by kmod-ctxfi-1.00-2.el5.elrepo.x86_64
ksym(snd_pcm_hw_constraint_integer) = ec202530 is needed by kmod-ctxfi-1.00-2.el5.elrepo.x86_64
ksym(snd_pcm_hw_constraint_integer) = ec202530 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
ksym(snd_pcm_hw_constraint_pow2) = 957f5cbc is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
ksym(snd_pcm_hw_constraint_ratnums) = ffc7d3f5 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
ksym(snd_pcm_hw_constraint_step) = ad696de1 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
ksym(snd_pcm_lib_free_pages) = 17faef93 is needed by kmod-ctxfi-1.00-2.el5.elrepo.x86_64
ksym(snd_pcm_lib_free_pages) = 17faef93 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
ksym(snd_pcm_lib_ioctl) = 9162dd67 is needed by kmod-ctxfi-1.00-2.el5.elrepo.x86_64
ksym(snd_pcm_lib_ioctl) = 9162dd67 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
ksym(snd_pcm_lib_malloc_pages) = aba57285 is needed by kmod-ctxfi-1.00-2.el5.elrepo.x86_64
ksym(snd_pcm_lib_malloc_pages) = aba57285 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
ksym(snd_pcm_lib_preallocate_pages_for_all) = c2c3eca is needed by kmod-ctxfi-1.00-2.el5.elrepo.x86_64
ksym(snd_pcm_lib_preallocate_pages_for_all) = c2c3eca is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
ksym(snd_pcm_new) = 8dacea80 is needed by kmod-ctxfi-1.00-2.el5.elrepo.x86_64
ksym(snd_pcm_new) = 8dacea80 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
ksym(snd_pcm_period_elapsed) = a500e5a9 is needed by kmod-ctxfi-1.00-2.el5.elrepo.x86_64
ksym(snd_pcm_period_elapsed) = a500e5a9 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
ksym(snd_pcm_set_ops) = b8a4c80e is needed by kmod-ctxfi-1.00-2.el5.elrepo.x86_64
ksym(snd_pcm_set_ops) = b8a4c80e is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
ksym(snd_pcm_sgbuf_ops_page) = 3775c8e1 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
ksym(snd_pcm_stop) = 891fdefc is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
ksym(sound_class) = 5e2da90b is needed by kmod-alsa-1.0.20-1.el5.elrepo.x86_64
ksym(strpbrk) = 9a1dfd65 is needed by kmod-rt2860sta-2.1.2.0-1.el5.elrepo.x86_64
ksym(strpbrk) = 9a1dfd65 is needed by kmod-rt2870sta-2.2.0.0-1.el5.elrepo.x86_64
ksym(strpbrk) = 9a1dfd65 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
ksym(sync_page_range) = f15905e0 is needed by kmod-ntfs-2.1.27-2.el5.elrepo.x86_64
ksym(truncate_inode_pages_range) = 43b33e5 is needed by kmod-ocfs2-1.4.2-2.el5.elrepo.x86_64
ksym(unregister_sound_special) = 99c95fa5 is needed by kmod-alsa-1.0.20-1.el5.elrepo.x86_64
ksym(vmalloc_user) = 5635a60a is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
ksym(__wake_up_sync) = f4488540 is needed by kmod-ocfs2-1.4.2-2.el5.elrepo.x86_64
ksym(__wake_up_sync) = f4488540 is needed by kmod-video4linux-0.0-5.20090615.el5.elrepo.x86_64
ksym(wiphy_free) = 1968e274 is needed by kmod-mac80211-0.155-1.el5.elrepo.x86_64
ksym(wiphy_new) = 8a9ba8b0 is needed by kmod-mac80211-0.155-1.el5.elrepo.x86_64
ksym(wiphy_register) = 9f6961e7 is needed by kmod-mac80211-0.155-1.el5.elrepo.x86_64
ksym(wiphy_unregister) = 86cc694c is needed by kmod-mac80211-0.155-1.el5.elrepo.x86_64
Comment 2 Prarit Bhargava 2009-09-10 09:31:13 EDT
Please be advised, that Bugzilla is not a support tool. It is an
Engineering and Community tool. So although all changes to Enterprise
Linux go through Bugzilla and Red Hat considers issues directly entered
into Bugzilla valuable feedback, there is no SLA around it.

If this is a production issue, please report it to your Red Hat Support contact.

Thank you.
Comment 3 Ned Slider 2009-09-10 10:06:37 EDT
I was specifically asked by a Red Hat kernel engineer to open a bug on this issue so it may be tracked here.

I'm not looking for support. I don't have an issue. I'm trying to feed back information to help Red Hat improve their product as requested.
Comment 4 Alan Bartlett 2009-09-10 10:59:06 EDT
(In reply to comment #2)
> Please be advised, that Bugzilla is not a support tool. It is an
> Engineering and Community tool. So although all changes to Enterprise
> Linux go through Bugzilla and Red Hat considers issues directly entered
> into Bugzilla valuable feedback, there is no SLA around it.
> 
> If this is a production issue, please report it to your Red Hat Support
> contact.
> 
> Thank you.  

Prarit,

Please consult Jon Masters.

Alan.
Comment 5 Jon Masters 2009-09-10 17:24:25 EDT
I specifically asked that the symbol information be supplied, because I would like to work more closely with elrepo.org folks. However, everyone is aware that this entails no commitment to make any changes - we're just gathering data here.
Comment 6 Tuomo Soini 2009-10-28 02:51:38 EDT
This is needed by latest open-vm-tools 2009.10.15:

ksym(napi_gro_flush) = 4db9b413
Comment 9 Jon Masters 2010-08-24 00:29:14 EDT
Thanks again for this input. It was valuable. I am going to close this bug as "WONTFIX", but that does not mean that the data will not be used, it just means we won't be addressing including all of these symbols as one unit in 5.6.